MAJOR_VERSION = 0
MINOR_VERSION = 0
PATH_VERSION = 8

TAG = $(MAJOR_VERSION).$(MINOR_VERSION).$(PATH_VERSION)

build:
	docker build . -t orangepunk-html:$(TAG)
	docker tag orangepunk-html:$(TAG) us-west4-docker.pkg.dev/nixernetes/images/orangepunk-html:$(TAG)

deploy: build
	docker push us-west4-docker.pkg.dev/nixernetes/images/orangepunk-html:$(TAG)
	cat kubernetes.yaml.tmpl | sed 's/TAG/$(TAG)/' > kubernetes.yaml
	kubectl apply -f kubernetes.yaml